All Apps and Add-ons

Is Splunk DB Connect 2.0.2 supports in Splunk Enterprise 6.5.1 + versions

Engager

Hi Splunk Team,

Currently I am using DB Connect App 2.0.2 version in Splunk Enterprise 6.3.5 version and planing to upgrade it to 6.5.1 or greater version.

My question, is DB Connect 2.0.2 will support in 6.5.1 or greater versions? If so what are the per-requisite do I need to take care. Thanks in advance.

Regards,
Surya

0 Karma

Engager

Thanks Richgalloway. We are going with new version of the Splunk DB Connect i.e., 3.0.2.

Regards,
Surya

0 Karma

SplunkTrust
SplunkTrust

Yes, DB Connect 2 will run in Splunk 6.5.x and I believe it is still supported.

---
If this reply helps you, an upvote would be appreciated.
0 Karma

Engager

Dear richgalloway,

Thanks for your answer. But I am trying to connecting to Oracle DB using Splunk DB connect 2.2.0 and getting the below answer ::: But the same thing is not happening with DB Connect 3.0.2.

2017-03-24T14:21:43+0000 [ERROR] [init.py], line 188: 'module' object has no attribute 'getServerConfKeyValue'
Traceback (most recent call last):
File "/opt/splunk/lib/python2.7/site-packages/splunk/rest/init.py", line 186, in dispatch
methodOutput = method()
File "/opt/splunk/etc/apps/splunk_app_db_connect/bin/dbinfo.py", line 28, in handle_GET
self.dbx2 = rpc_service_channel(self.userName, self.sessionKey, host=self.host)
File "/opt/splunk/etc/apps/splunk_app_db_connect/bin/rpcutils.py", line 34, in rpc_service_channel
rpc = get_local_rpc(user, sessionKey, use_raw_handler=use_raw_handler)
File "/opt/splunk/etc/apps/splunk_app_db_connect/bin/rpcutils.py", line 46, in get_local_rpc
splunk_service = SplunkServiceFactory.create(sessionKey, app=namespace, owner=user, server_url=server_url)
File "/opt/splunk/etc/apps/splunk_app_db_connect/bin/splunk_client/splunk_service_factory.py", line 8, in create
scheme = ApiConfig.splunkd_scheme()
File "/opt/splunk/etc/apps/splunk_app_db_connect/bin/splunk_client/api_config.py", line 20, in splunkd_scheme
enableSsl = comm.getServerConfKeyValue('enableSplunkdSSL')
AttributeError: 'module' object has no attribute 'getServerConfKeyValue'

Thanks,
Surya

0 Karma

SplunkTrust
SplunkTrust

I just re-checked the docs and DB Connect 2.0.2 says it is compatible with 6.4, but does not list 6.5.
I also checked our 6.5 instances and don't have DB Connect 2 installed on them.
Therefore, I conclude DB Connect 2 is NOT compatible/supported on 6.5. Sorry for my misleading initial answer.

---
If this reply helps you, an upvote would be appreciated.
0 Karma